Compute Cloud API, REST: Instance.Move
Moves the specified instance to another folder of the same cloud.
The instance must be stopped before moving. To stop the instance, make a Stop request.
After moving, the instance will start recording its Monitoring default metrics to its new folder. Metrics
that have been recorded to the source folder prior to moving will be retained.
HTTP request
POST https://compute.api.cloud.yandex.net/compute/v1/instances/{instanceId}:move
Path parameters
|
Field |
Description |
|
instanceId |
string Required field. ID of the instance to move. |
Body parameters
{
"destinationFolderId": "string"
}
|
Field |
Description |
|
destinationFolderId |
string ID of the folder to move the instance to. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |